SoapParam::__construct
SoapVar
SoapParam
PHP Manual

# SoapParam::SoapParam

(PHP 5 >= 5.0.1)

SoapParam::SoapParam — SoapParam constructor

### Description

SoapParam::SoapParam ( mixed `$data` , string `$name` )

Constructs a new SoapParam object.

### Parameters

`data`

  The data to pass or return. This parameter can be passed directly as PHP value, but in this case it will be named as paramN and the SOAP service may not understand it.

`name`

  The parameter name.

### Examples

Example #1 SoapParam::SoapParam() example

`<?php
$client = new SoapClient(null,array('location' => "http://localhost/soap.php",
'uri' => "http://test-uri/"));
$client->SomeFunction(new SoapParam($a, "a"),
new SoapParam($b, "b"),
new SoapParam($c, "c"));
?>`

### See Also

- SoapClient::__soapCall() - Calls a SOAP function
- SoapVar::SoapVar() - SoapVar constructor

SoapParam::__construct
SoapVar
SoapParam
PHP Manual